#!/bin/sh
#ldconfig
gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules

# auto launch countrywizard when X restarts
rm -f $HOME/.config/firstsetup/firstsetup.conf

# post-install script of scim-1.4.7-*.pet
XINITRC=/root/.xinitrc
[ ! -f $XINITRC ] && exit
grep -q '^[^#]*/usr/bin/scim' $XINITRC && exit
TMPF=/tmp/$(basename $0).tmp
echo 'EOF' > $TMPF
cat $XINITRC $TMPF | (
# pass through before launching window manager 
read L
until echo $L | grep -q '^EOF$'
do
  echo $L | grep -v 'CURRENTWM' || break
  read L
done
 # insert new script
 cat <<EOF
# Inserted by the post-install scrpt of scim-1.4.7-*.pet
# Enable legacy X applications to use scim:
# Make sure your environment variable LANG is '*.UTF-8', not '*.utf8'
# LANG maybe set at /etc/profile
if [ -x /usr/bin/scim ]; then
  export XMODIFIERS="@im=SCIM"
  ls /tmp/scim-helper-manager-socket* &>/dev/null || /usr/bin/scim -d
fi

EOF
# pass the final lines
while echo $L | grep -v '^EOF$'
do
  read L
done
) > $XINITRC.new
rm -f $TMPF
[ ! -f $XINITRC.new ] && exit
[ -f $XINITRC ] && mv -f $XINITRC $XINITRC.bak
mv $XINITRC.new $XINITRC
: